## org.hibernate.proxy.pojo.cglib
Class CGLIBLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.pojo.BasicLazyInitializer
              org.hibernate.proxy.pojo.cglib.CGLIBLazyInitializer

All Implemented Interfaces:
  net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.InvocationHandler, LazyInitializer

Deprecated. Per HHH-5451 support for cglib as a bytecode provider has been deprecated.

    @Deprecated
    public final class CGLIBLazyInitializer

extends BasicLazyInitializer
implements net.sf.cglib.proxy.InvocationHandler

A `LazyInitializer` implemented using the CGLIB bytecode generation library

Field Summary

Fields inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`componentIdType, getIdentifierMethod, INVOKE_IMPLEMENTATION, overridesEquals, persistentClass, setIdentifierMethod`

Method Summary
`static HibernateProxy` `getProxy(Class factory, String entityName, Class persistentClass, Class[] interfaces, Method getIdentifierMethod, Method setIdentifierMethod, CompositeType componentIdType, Serializable id, SessionImplementor session)` Deprecated.
`static Class` `getProxyFactory(Class persistentClass, Class[] interfaces)` Deprecated.
`Object` `invoke(Object proxy, Method method, Object[] args)` Deprecated.
`protected Object` `serializableProxy()` Deprecated.

Methods inherited from class org.hibernate.proxy.pojo.BasicLazyInitializer
`getPersistentClass, invoke`

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isReadOnly, isReadOnlyBeforeAttachedToSession, isReadOnlySettingAvailable, isUninitialized, isUnwrap, setIdentifier, setImplementation, setReadOnly, setSession, setUnwrap, unsetSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProxy

    public static HibernateProxy getProxy(Class factory,
                                          String entityName,
                                          Class persistentClass,
                                          Class[] interfaces,
                                          Method getIdentifierMethod,
                                          Method setIdentifierMethod,
                                          CompositeType componentIdType,
                                          Serializable id,
                                          SessionImplementor session)
                                   throws HibernateException

  Deprecated.
  Throws:
    `HibernateException`

### getProxyFactory

    public static Class getProxyFactory(Class persistentClass,
                                        Class[] interfaces)
                                 throws HibernateException

  Deprecated.
  Throws:
    `HibernateException`

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Deprecated.
  Specified by:
    `invoke` in interface `net.sf.cglib.proxy.InvocationHandler`
  Throws:
    `Throwable`

### serializableProxy

    protected Object serializableProxy()

  Deprecated.
  Specified by:
    `serializableProxy` in class `BasicLazyInitializer`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.